<!doctype html>
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">

    <title>Home</title>
</head>
<body>
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <div class="container-fluid">
        <a class="navbar-brand" href="#">TextUtils</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent"
                aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                    <a class="nav-link active" aria-current="page" href="#">Home</a>
                </li>
            </ul>
            <form class="d-flex">
                <input class="form-control me-2" type="search" placeholder="Search" aria-label="Search">
                <button class="btn btn-outline-success" type="submit">Search</button>
            </form>
        </div>
    </div>
</nav>

<div class="alert alert-success alert-dismissible fade show" role="alert">
    <strong>Welcome to TextUtils!</strong> You Can do anything with your text here!
    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
</div>
<div class="container">
    <form action="/analyze" method="get">
        <div class="mb-3">
            <label for="exampleFormControlTextarea1" class="form-label">Enter Your text here!</label>
            <textarea class="form-control" name="text" id="exampleFormControlTextarea1" rows="12"></textarea>
        </div>
        <div class="form-check form-switch">
            <input class="form-check-input" name="removefcn" type="checkbox" role="switch" id="flexSwitchCheckDefault">
            <label class="form-check-label" for="flexSwitchCheckDefault">Remove Punctuations</label>
        </div>

        <div class="form-check form-switch">
            <input class="form-check-input" name="fullcaps" type="checkbox" role="switch" id="flexSwitchCheckDefault">
            <label class="form-check-label" for="flexSwitchCheckDefault">UPPERCASE</label>
        </div>
        <div class="form-check form-switch">
            <input class="form-check-input" name="newlineremover" type="checkbox" role="switch"
                   id="flexSwitchCheckDefault">
            <label class="form-check-label" for="flexSwitchCheckDefault">New Line Remover</label>
        </div>
        <div class="form-check form-switch">
            <input class="form-check-input" name="extraspaceremover" type="checkbox" role="switch"
                   id="flexSwitchCheckDefault">
            <label class="form-check-label" for="flexSwitchCheckDefault">Extra Space Remover</label>
        </div>
        <div class="form-check form-switch">
            <input class="form-check-input" name="charcounter" type="checkbox" role="switch"
                   id="flexSwitchCheckDefault">
            <label class="form-check-label" for="flexSwitchCheckDefault">Character Count</label>
        </div>
        <button type="submit" class="btn btn-dark mt-2">Analyze Text</button>
    </form>
</div>

<!-- Optional JavaScript; choose one of the two! -->

<!-- Option 1: Bootstrap Bundle with Popper -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
        crossorigin="anonymous"></script>

<!-- Option 2: Separate Popper and Bootstrap JS -->
<!--
<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.10.2/dist/umd/popper.min.js" integrity="sha384-7+zCNj/IqJ95wo16oMtfsKbZ9ccEh31eOz1HGyDuCQ6wgnyJNSYdrPa03rtR1zdB" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.min.js" integrity="sha384-QJHtvGhmr9XOIpI6YVutG+2QOK9T+ZnN4kzFN1RtK3zEFEIsxhlmWl5/YESvpZ13" crossorigin="anonymous"></script>
-->
</body>
</html>